const std = @import("std");


pub fn main() !void {
    var gpa = std.heap.GeneralPurposeAllocator(.{}){};
    defer _ = gpa.deinit();
    const allocator = gpa.allocator();

    const file = try std.fs.cwd().openFile("~/.config/lister/data.json", .{});
    defer file.close();

    const data = try file.reader().readAllAlloc(allocator, 32768);
    defer allocator.free(data);

    const Smth = struct {
        name: []const u8,
        desc: []const u8,
    };

    const Smths = []Smth;

    const json = try std.json.parseFromSlice(Smths, allocator, data, .{});
    defer json.deinit();

    for (json.value) |smth| {
        std.debug.print("{s} -> {s}\n", .{smth.name, smth.desc});
    }
}
